# Uses of Class
org.codehaus.commons.compiler.util.resource.ResourceFinder

Packages that use ResourceFinder
Package
Description
org.codehaus.commons.compiler
This package declares interfaces for the implementation of an `IExpressionEvaluator`, an `IScriptEvaluator`, an `IClassBodyEvaluator` and an `ISimpleCompiler`.
org.codehaus.commons.compiler.jdk
An implementation of the `org.codehaus.commons.compiler` API that uses the "JAVAC" Java compiler that is part of the "Java Development Kit" (JDK).
org.codehaus.commons.compiler.jdk.util
org.codehaus.commons.compiler.lang
org.codehaus.commons.compiler.util
Utility functionality for this project.
org.codehaus.commons.compiler.util.resource
Classes related to loading "resources" (`ResourceFinder`) and creating resources (`ResourceCreator`).
org.codehaus.janino
The core of the Janino Java compiler.

## Uses of ResourceFinder in org.codehaus.commons.compiler

Fields in org.codehaus.commons.compiler declared as ResourceFinder
Modifier and Type
Field
Description
`protected ResourceFinder`
AbstractCompiler.`classFileFinder`
Implements the "read side" of the JAVAC `-d` option.
`static final ResourceFinder`
ICompiler.`FIND_NEXT_TO_SOURCE_FILE`
Special value for `ICompiler.setClassFileFinder(ResourceFinder)`.
`protected ResourceFinder`
AbstractCompiler.`sourceFinder`
Implements the JAVAC `-sourcepath` option.
Methods in org.codehaus.commons.compiler with parameters of type ResourceFinder
Modifier and Type
Method
Description
`void`
AbstractCompiler.`setClassFileFinder(ResourceFinder classFileFinder)`
`final void`
AbstractCompiler.`setClassFileFinder(ResourceFinder destination, boolean rebuild)`
`void`
ICompiler.`setClassFileFinder(ResourceFinder classFileFinder)`
This `ResourceFinder` is used to check whether a `.class` resource already exists and is younger than the `.java` resource from which it was generated.
`void`
ICompiler.`setClassFileFinder(ResourceFinder classFileFinder, boolean rebuild)`
Equivalent with `setClassFileFinder(rebuild ? ResourceFinder.EMPTY_RESOURCE_FINDER : classFileFinder)`.
`void`
AbstractCompiler.`setSourceFinder(ResourceFinder sourceFinder)`
`abstract void`
AbstractJavaSourceClassLoader.`setSourceFinder(ResourceFinder sourceFinder)`
`void`
ICompiler.`setSourceFinder(ResourceFinder sourceFinder)`
Finds more `.java` resources that need to be compiled, i.e.

## Uses of ResourceFinder in org.codehaus.commons.compiler.jdk

Methods in org.codehaus.commons.compiler.jdk with parameters of type ResourceFinder
Modifier and Type
Method
Description
`void`
JavaSourceClassLoader.`setSourceFinder(ResourceFinder sourceFinder)`

## Uses of ResourceFinder in org.codehaus.commons.compiler.jdk.util

Methods in org.codehaus.commons.compiler.jdk.util with parameters of type ResourceFinder
Modifier and Type
Method
Description
`static <M extends JavaFileManager>
ForwardingJavaFileManager<M>`
JavaFileManagers.`fromResourceFinder(M delegate, JavaFileManager.Location location, JavaFileObject.Kind kind, ResourceFinder resourceFinder, Charset charset)`
A `ForwardingJavaFileManager` that maps accesses to a particular `JavaFileManager.Location` and `JavaFileObject.Kind` to a search in a `ResourceFinder`.

## Uses of ResourceFinder in org.codehaus.commons.compiler.lang

Methods in org.codehaus.commons.compiler.lang with parameters of type ResourceFinder
Modifier and Type
Method
Description
`static ClassLoader`
ClassLoaders.`getsResourceAsStream(ResourceFinder finder, ClassLoader parent)`
Creates and returns a `ClassLoader` that implements `ClassLoader.getResourceAsStream(String)` via a `ResourceFinder`.

## Uses of ResourceFinder in org.codehaus.commons.compiler.util

Methods in org.codehaus.commons.compiler.util that return ResourceFinder
Modifier and Type
Method
Description
`ResourceFinder`
ResourceFinderClassLoader.`getResourceFinder()`
Constructors in org.codehaus.commons.compiler.util with parameters of type ResourceFinder
Modifier
Constructor
Description
``
`ResourceFinderClassLoader(ResourceFinder resourceFinder, ClassLoader parent)`

## Uses of ResourceFinder in org.codehaus.commons.compiler.util.resource

Subclasses of ResourceFinder in org.codehaus.commons.compiler.util.resource
Modifier and Type
Class
Description
`class`
`DirectoryResourceFinder`
A `FileResourceFinder` that finds file resources in a directory.
`class`
`FileResourceFinder`
This class specializes the `ResourceFinder` for finding resources in `File`s.
`class`
`JarDirectoriesResourceFinder`
Finds resources in any of the "*.jar" files that exist in a given set of directories.
`class`
`LazyMultiResourceFinder`
A `ResourceFinder` that examines a set of `ResourceFinder`s lazily as it searches for resources.
`class`
`ListableResourceFinder`
Extends the `ResourceFinder` class with a `ListableResourceFinder.list(String, boolean)` method.
`class`
`MapResourceFinder`
A `ResourceFinder` that provides access to resource stored as byte arrays in a `Map`.
`class`
`MultiResourceFinder`
A `ResourceFinder` that finds its resources through a collection of other `ResourceFinder`s.
`class`
`PathResourceFinder`
A `ResourceFinder` that finds its resources along a "path" consisting of JAR file names, ZIP file names, and directory names.
`class`
`ZipFileResourceFinder`
A `ResourceFinder` that finds resources in a ZIP file.
Methods in org.codehaus.commons.compiler.util.resource that return ResourceFinder
Modifier and Type
Method
Description
`static ResourceFinder`
ResourceFinders.`debugResourceFinder(ResourceFinder delegate)`
Methods in org.codehaus.commons.compiler.util.resource with parameters of type ResourceFinder
Modifier and Type
Method
Description
`static ResourceFinder`
ResourceFinders.`debugResourceFinder(ResourceFinder delegate)`
Constructors in org.codehaus.commons.compiler.util.resource with parameters of type ResourceFinder
Modifier
Constructor
Description
``
`MultiResourceFinder(ResourceFinder... resourceFinders)`
Constructor parameters in org.codehaus.commons.compiler.util.resource with type arguments of type ResourceFinder
Modifier
Constructor
Description
``
`LazyMultiResourceFinder(Iterator<ResourceFinder> resourceFinders)`
``
`MultiResourceFinder(Iterable<? extends ResourceFinder> resourceFinders)`
``
`PathResourceFinder(Iterator<ResourceFinder> entries)`

## Uses of ResourceFinder in org.codehaus.janino

Methods in org.codehaus.janino that return ResourceFinder
Modifier and Type
Method
Description
`ResourceFinder`
JavaSourceIClassLoader.`getSourceFinder()`
Methods in org.codehaus.janino with parameters of type ResourceFinder
Modifier and Type
Method
Description
`void`
JavaSourceClassLoader.`setSourceFinder(ResourceFinder sourceFinder)`
`void`
JavaSourceIClassLoader.`setSourceFinder(ResourceFinder sourceFinder)`
Constructors in org.codehaus.janino with parameters of type ResourceFinder
Modifier
Constructor
Description
``
`CachingJavaSourceClassLoader(ClassLoader parentClassLoader, ResourceFinder sourceFinder, String characterEncoding, ResourceFinder classFileCacheResourceFinder, ResourceCreator classFileCacheResourceCreator)`
Notice that this class is thread-safe if and only if the classFileCacheResourceCreator stores its data atomically, i.e.
``
`Compiler(ResourceFinder sourceFinder, IClassLoader parentIClassLoader)`
Deprecated.
Use `Compiler()` and the various configuration setters instead
``
`JavaSourceClassLoader(ClassLoader parentClassLoader, ResourceFinder sourceFinder, String characterEncoding)`
Constructs a `JavaSourceClassLoader` that finds Java source code through a given `ResourceFinder`.
``
`JavaSourceIClassLoader(ResourceFinder sourceFinder, String sourceCharsetName, IClassLoader parentIClassLoader)`
``
`ResourceFinderIClassLoader(ResourceFinder resourceFinder, IClassLoader parentIClassLoader)`